:: This will compile all demo programs

:: Set path to the freeBasic compiler:
set Fbas=c:\freeba~1
:: without closing backslash.

copy ..\libfbmath.a %FBas%\lib\win32 >nul
copy ..\fbmath.bi %FBas%\inc >nul
copy ..\liblargeint.a %FBas%\lib\win32 >nul
copy ..\largeint.bi %FBas%\inc >nul


for %%a in (curfit\*.bas) do %FBas%\fbc.exe %%a

for %%a in (equation\*.bas) do %FBas%\fbc.exe %%a

for %%a in (fmath\*.bas) do %FBas%\fbc.exe %%a

for %%a in (fourier\*.bas) do %FBas%\fbc.exe %%a

for %%a in (integral\*.bas) do %FBas%\fbc.exe %%a

for %%a in (largeint\*.bas) do %FBas%\fbc.exe %%a

for %%a in (matrices\*.bas) do %FBas%\fbc.exe %%a

for %%a in (optim\*.bas) do %FBas%\fbc.exe %%a

for %%a in (polynom\*.bas) do %FBas%\fbc.exe %%a

for %%a in (proba\*.bas) do %FBas%\fbc.exe %%a

for %%a in (random\*.bas) do %FBas%\fbc.exe %%a

for %%a in (stat\*.bas) do %FBas%\fbc.exe %%a
